@import url("https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700&display=swap");

:root {
	--ff-primary: "Lato", sans-serif;

	--clr-black: #000000;
	--clr-dark-gray: #444444;
	--clr-gray: #dddddd;
	--clr-light: #eeeeee;
	--clr-white: #ffffff;
	--clr-yellow: #f1c40f;
	--clr-orange: #ff8c00;
}

*,
*::before,
*::after {
	box-sizing: border-box;
}

* {
	margin: 0;
	padding: 0;
}

html {
	scroll-behavior: smooth;
}

body {
	font-family: var(--ff-primary);
	background-color: var(--clr-light);
}

.page-wrapper {
	position: relative;
}

.container {
	width: 1000px;
	max-width: 100%;
	margin: 0 auto;
}

li {
	list-style: none;
}

a {
	color: var(--clr-black);
	text-decoration: none;
	transition: all 0.3s;
}

a:hover {
	color: var(--clr-orange);
}

.center {
	display: flex;
	align-items: center;
	justify-content: center;
}

/* header styling */
header {
	min-height: 10vh;
	width: 100%;
	background-color: var(--clr-light);
	position: sticky;
	top: 0;
	left: 0;
	display: flex;
	align-items: center;
	justify-content: space-around;
	flex-wrap: wrap;
	box-shadow: 0 0.8px 10px 0.8px var(--clr-dark-gray);
	margin-bottom: 2rem;
}

.logo {
	width: 60vw;
}

.logo img {
	width: 100%;
	height: 100%;
	max-width: 18rem;
}

#nav-list {
	width: 35vw;
	display: flex;
	align-items: center;
	justify-content: space-around;
	flex-wrap: wrap;
}

@media (max-width: 650px) {
	header {
		flex-direction: column;
		padding: 1rem 0;
	}
	#nav-list {
		flex-direction: column;
		margin: 1rem 0;
	}
}

/* hero section styling */
#hero,
form {
	flex-direction: column;
	text-align: center;
}

@media (min-width: 300px) {
	#hero {
		padding: 1rem;
	}
}

form {
	width: 40rem;
	max-width: 100%;
	margin-bottom: 2rem;
}

input[type="email"] {
	width: 100%;
	max-width: 20rem;
	height: 1.8rem;
	padding: 0.5em;
	margin: 1rem 0;
}

.btn {
	background-color: var(--clr-yellow);
	padding: 0.5em 1.5em;
	font-size: 1.1rem;
	border: none;
	margin: 0 auto;
	cursor: pointer;
	transition: all 0.4s;
}

.btn:hover {
	background-color: var(--clr-orange);
}

#submit {
	font-size: 1.1rem;
	font-weight: 900;
}

/* features section styling */
.grid {
	display: flex;
}
.icon {
	width: 20vw;
	padding: 1rem;
}
.icon i {
	color: var(--clr-orange);
	font-size: 3rem;
}
.desc {
	width: 80vw;
	flex-direction: column;
	align-items: flex-start;
	padding: 1rem;
}

@media (max-width: 500px) {
	.icon {
		display: none;
	}
	.desc {
		width: 90%;
		margin: 0 auto;
	}
}

/* how-it-works section styling */
#how-it-works {
	margin: 2rem 0;
	padding: 1rem;
}
#how-it-works i {
	width: 560px;
	max-width: 100%;
}

/* pricing section styling */
#pricing {
	padding: 1rem;
}
.product {
	width: 18rem;
	max-width: 100%;
	border: 1px solid var(--clr-dark-gray);
	text-align: center;
	margin: 1rem auto;
	padding-bottom: 1rem;
}

.level {
	background-color: var(--clr-gray);
	font-weight: 700;
	padding: 1rem 0;
}

.level,
h3,
.product ul,
.product ul li,
button {
	margin-bottom: 1rem;
}

@media (min-width: 799px) {
	#pricing {
		padding: 0;
		width: 100%;
		display: flex;
		align-items: center;
		justify-content: space-between;
	}
	.product {
		width: 16rem;
	}
}

@media (min-width: 899px) {
	.product {
		width: 18rem;
	}
}

/* footer styling */
footer {
	background-color: var(--clr-gray);
	padding: 1.5rem;
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	justify-content: space-between;
}

footer ul {
	width: 12rem;
	display: flex;
	justify-content: space-around;
	flex-wrap: wrap;
	margin-bottom: 0.3rem;
}

footer span {
	color: var(--clr-dark-gray);
	font-size: 0.9rem;
}
